Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.icatch.config.imp
Class TSMetaDataImp

    java.lang.Object
      com.atomikos.icatch.config.imp.TSMetaDataImp

All Implemented Interfaces:
  TSMetaData

    public class TSMetaDataImp

extends Object
implements TSMetaData

Copyrigth © 2002, Atomikos. All rights reserved. A meta data implementation.

Constructor Summary
`TSMetaDataImp(String jtaVersion, String releaseVersion, String productName, boolean supportsImport, boolean supportsExport)` Create a new instance.

Method Summary
`String` | `getJtaVersion()` Get the JTA version that is supported.
`String` | `getProductName()` Get the full product name.
`String` | `getReleaseVersion()` Get the release version.
`boolean` | `supportsExport()` Test if export of transactions is supported.
`boolean` | `supportsImport()` Test if import of transactions is supported.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TSMetaDataImp

    public TSMetaDataImp(String jtaVersion,
                         String releaseVersion,
                         String productName,
                         boolean supportsImport,
                         boolean supportsExport)

  Create a new instance.

  Parameters:
    `jtaVersion` - The string denoting the JTA supported.
    `releaseVersion` - The string denoting the release version.
    `productName` - The name of the product.
    `supportsImport` - True if import supported.
    `supportsExport` - True if export supported.

Method Detail

### getJtaVersion

    public String getJtaVersion()

  Description copied from interface: `TSMetaData`
  Get the JTA version that is supported.

  Specified by:
    `getJtaVersion` in interface `TSMetaData`
  Returns:
    String A string representation of the JTA supported.
  See Also:
    `TSMetaData`

### getReleaseVersion

    public String getReleaseVersion()

  Description copied from interface: `TSMetaData`
  Get the release version.

  Specified by:
    `getReleaseVersion` in interface `TSMetaData`
  Returns:
    String A string representation of the release version.
  See Also:
    `TSMetaData`

### supportsImport

    public boolean supportsImport()

  Description copied from interface: `TSMetaData`
  Test if import of transactions is supported.

  Specified by:
    `supportsImport` in interface `TSMetaData`
  Returns:
    boolean True iff import of a Propagation is supported.
  See Also:
    `TSMetaData`

### supportsExport

    public boolean supportsExport()

  Description copied from interface: `TSMetaData`
  Test if export of transactions is supported.

  Specified by:
    `supportsExport` in interface `TSMetaData`
  Returns:
    boolean True iff export is supported.
  See Also:
    `TSMetaData`

### getProductName

    public String getProductName()

  Description copied from interface: `TSMetaData`
  Get the full product name.

  Specified by:
    `getProductName` in interface `TSMetaData`
  Returns:
    String The full product name.
  See Also:
    `TSMetaData`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.